Page MenuHomePhabricator

Maintenance scripts for populating the entity_usage table from the item_per_site table.
Closed, ResolvedPublic

Description

An initial population of untity_usage could be done based on the item_per_site. However, we have to decide whether we should mark the linked items as being used wrt the "sitelinks" aspect only (they all are), or wrt the "all" aspect (which only a few actually are). determining the *correct* aspect requires re-parsing the pages.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=5

Details

Reference
bz71050
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMaintenance script for populating wbc_entity_usage

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:56 AM
bzimport set Reference to bz71050.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Sep 19 2014, 6:06 PM

removed "based on items_per_site" from description, since we'll probably use page_props instead.

Change 176373 had a related patch set uploaded (by Daniel Kinzler):
Maintenance script for populating wbc_entity_usage

https://gerrit.wikimedia.org/r/176373

Patch-For-Review

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

Change 176373 merged by jenkins-bot:
Maintenance script for populating wbc_entity_usage

https://gerrit.wikimedia.org/r/176373

Lydia_Pintscher closed this task as Resolved.Dec 3 2014, 1:27 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added subscribers: aude, hoo.

@aude, @hoo: reminder that this actually needs to be run on deployment iiuc

hoo added a comment.Dec 3 2014, 6:24 PM

@aude, @hoo: reminder that this actually needs to be run on deployment iiuc

Noted on https://www.mediawiki.org/wiki/Wikidata_deployment. A separate ticket for that might be a good idea (as that will take a while and will need a bit of coordination).